var PathUtilities = com.cattura.agents.configuration_module.model.utilities.PathUtilities;
importPackage(java.io);
var LOGGER = plugin.info().logger;

function getExceptionsDirectory ()
{
    var file = plugin.info().getResource("exceptions",PathUtilities.createPathForDate(new java.util.Date()));
    file.mkdirs();
    return file;
}

plugin.onException(function(exception) {
    var out = new StringWriter();
    exception.printStackTrace(new PrintWriter(out));
    var filename = new java.util.Date().toString().replace(" ","_").replace(":","_") + "_" + exception.getClass().getName() + ".txt";
    getExceptionsDirectory().getChild(filename).write(out.toString());
});